Subject: Offline Message from Rana Hossam Arafat: please I want to know the return ord
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 01 Jul 2020 08:00:49 -0000

From: Rana Hossam Arafat <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/customer/account/create/
Department: 

please I want to know the return order#604052066225 status as soon as possible urgently please for my stroller as I returned it to the company 3 months ago!!!! And till this moment nobody replied me!!!! And also I sent alot of emails to the company and no one is answering me. Please please please reply me i"m in a need for the stroller. Please answer me back with any decision I need to know what are you going to do urgently please.The stroller has problem with it's wheels that's why I returned back to the company. Please answer me back as soon as possible. As I have a baby and i"m urgently needed to the stroller.

----
Zopim
https://www.zopim.com